# Class: FAttribute

## FAttribute()

Attribute is an abstract concept which has two real uses - label (key - value pair) and relation (representing named relationship between source and target note)

## Constructor

#### new FAttribute()

Source:
  - entities/fattribute.js, line 7

### Members

#### attributeId :string

##### Type:

- string

Source:
  - entities/fattribute.js, line 17

#### froca :Froca

##### Type:

- Froca

Source:
  - entities/fattribute.js, line 10

#### isInheritable :boolean

##### Type:

- boolean

Source:
  - entities/fattribute.js, line 29

#### name :string

##### Type:

- string

Source:
  - entities/fattribute.js, line 23

#### noteId :string

##### Type:

- string

Source:
  - entities/fattribute.js, line 19

#### position :int

##### Type:

- int

Source:
  - entities/fattribute.js, line 27

#### type :string

##### Type:

- string

Source:
  - entities/fattribute.js, line 21

#### value :string

##### Type:

- string

Source:
  - entities/fattribute.js, line 25

### Methods

#### getNote() → {FNote}

Source:
  - entities/fattribute.js, line 33

##### Returns:

Type
  FNote

#### (async) getTargetNote() → {Promise.<FNote>}

Source:
  - entities/fattribute.js, line 38

##### Returns:

Type
  Promise.<FNote>